CVE-2017-2669

Impact:
Low
Public Date:
2017-04-10
CWE:
CWE-20
Bugzilla:
1438676: CVE-2017-2669 dovecot: Dovecot DoS when passdb dict was used for authentication

The MITRE CVE dictionary describes this issue as:

Dovecot before version 2.2.29 is vulnerable to a denial of service. When 'dict' passdb and userdb were used for user authentication, the username sent by the IMAP/POP3 client was sent through var_expand() to perform %variable expansion. Sending specially crafted %variable fields could result in excessive memory usage causing the process to crash (and restart), or excessive CPU usage causing all authentications to hang.

Find out more about CVE-2017-2669 from the MITRE CVE dictionary dictionary and NIST NVD.

Statement

Versions of dovecot shipped in Red Hat Enterprise Linux 5, 6 and 7 are not affected by this vulnerability.

CVSS v3 metrics

NOTE: The following CVSS v3 metrics and score provided are preliminary and subject to review.

CVSS3 Base Score 3.7
CVSS3 Base Metrics CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:L
Attack Vector Network
Attack Complexity High
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality None
Integrity Impact None
Availability Impact Low

Affected Packages State

Platform Package State
Red Hat Enterprise Linux 7 dovecot Not affected
Red Hat Enterprise Linux 6 dovecot Not affected
Red Hat Enterprise Linux 5 dovecot Not affected

Acknowledgements

Red Hat would like to thank the Dovecot project for reporting this issue.
Last Modified

CVE description copyright © 2017, The MITRE Corporation